/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cv8.converters;

import cv8.beans.User;
import cv8.beans.UserBean;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;
import javax.inject.Inject;

/**
 *
 * @author nav79
 */
@FacesConverter(forClass = User.class, value = "userConverter")
public class UserConverter implements Converter {

    @Inject
    UserBean userBean;

    @Override
    public Object getAsObject(FacesContext context, UIComponent component, String value) {
        if (value != null) {
            return userBean.getUser(value);
        }
        return null;
    }

    @Override
    public String getAsString(FacesContext context, UIComponent component, Object value) {
        if (value != null) {
            User user = (User) value;
            return user.getId().toString();
        }
        return null;
    }

}
